MWAWPictDUnknown Class Referencefinal

class to store small data which are potentially a picture More...

`#include <MWAWPictData.hxx>`

Inheritance diagram for MWAWPictDUnknown:

## Public Member Functions

| ~MWAWPictDUnknown () final
| destructor
SubType | getSubType () const final
| returns the picture subtype
bool | valid () const final
| returns true if the picture is valid
int | cmp (MWAWPict const &a) const final
| a virtual function used to obtain a strict order, must be redefined in the subs class
Public Member Functions inherited from MWAWPictData
| ~MWAWPictData () override
| destructor
Type | getType () const override
| returns the picture type
bool | getBinary (MWAWEmbeddedObject &picture) const override
| returns the final picture
virtual bool | sure () const
| returns true if we are relatively sure that the data are correct
bool | isEmpty () const
| returns true if the picture is valid and has size 0 or contains no data
Public Member Functions inherited from MWAWPict
virtual | ~MWAWPict ()
| virtual destructor
MWAWBox2f | getBdBox () const
| returns the bdbox of the picture
void | setBdBox (MWAWBox2f const &box)
| sets the bdbox of the picture

## Protected Member Functions

| MWAWPictDUnknown ()
| protected constructor: uses check to construct a picture
Protected Member Functions inherited from MWAWPictData
| MWAWPictData ()
| protected constructor: use check to construct a picture
| MWAWPictData (MWAWBox2f &)
Protected Member Functions inherited from MWAWPict
void | extendBDBox (float val)
| udaptes the bdbox, by extended it by (val-previousVal)
| MWAWPict ()
| protected constructor must not be called directly
| MWAWPict (MWAWPict const &p)
| protected constructor must not be called directly
MWAWPict & | operator= (MWAWPict const &p)
| protected operator= must not be called directly

## Static Protected Member Functions

static ReadResult | checkOrGet (MWAWInputStreamPtr input, int size, MWAWPictData **result=nullptr)
| checks if the data pointed by input and of given size is a pict
Static Protected Member Functions inherited from MWAWPictData
static bool | createFileData (librevenge::RVNGBinaryData const &orig, librevenge::RVNGBinaryData &result)
| a file pict can be created from the data pict by adding a header with size 512, this function do this conversion needed to return the final picture
static ReadResult | checkOrGet (MWAWInputStreamPtr input, int size, MWAWBox2f &box, MWAWPictData **result=nullptr)
| checks if the data pointed by input and of given size is a pict
Static Protected Member Functions inherited from MWAWPict
static MWAWBox2f | getBdBox (int numPt, MWAWVec2f const *pt)
| computes the minimum and maximum of a list of point

## Friends

class | MWAWPictData

## Additional Inherited Members

Public Types inherited from MWAWPictData
enum | SubType { PictMac , DB3 , Unknown }
| the picture subtype More...
Public Types inherited from MWAWPict
enum | Type { PictData , Bitmap , Unknown }
| the different picture types: More...
enum | ReadResult { MWAW_R_BAD =0 , MWAW_R_OK , MWAW_R_OK_EMPTY , MWAW_R_MAYBE }
| an enum to defined the result of a parsing use by some picture's classes which can read their data More...
Static Public Member Functions inherited from MWAWPictData
static ReadResult | check (MWAWInputStreamPtr const &input, int size, MWAWBox2f &box)
| checks if the data pointed by input is known
static MWAWPictData * | get (MWAWInputStreamPtr const &input, int size)
| checks if the data pointed by input is known
Protected Attributes inherited from MWAWPictData
librevenge::RVNGBinaryData | m_data
| the data size (without the empty header of 512 characters)
bool | m_empty
| some picture can be valid but empty

## Detailed Description

class to store small data which are potentially a picture

## Constructor & Destructor Documentation

## ~MWAWPictDUnknown()

MWAWPictDUnknown::~MWAWPictDUnknown | ( |  | ) |

final

destructor

## MWAWPictDUnknown()

MWAWPictDUnknown::MWAWPictDUnknown | ( |  | ) |

inline protected

protected constructor: uses check to construct a picture

Referenced by checkOrGet().

## Member Function Documentation

## checkOrGet()

MWAWPictDUnknown::ReadResult MWAWPictDUnknown::checkOrGet | ( | MWAWInputStreamPtr | input,
|  | int | size,
|  | MWAWPictData ** | result = nullptr )

static protected

checks if the data pointed by input and of given size is a pict

- if not returns MWAW_R_BAD
- if true
  - set empty to true if the picture contains no data
  - creates a picture if result is given and if the picture is not empty

Referenced by MWAWPictData::checkOrGet().

## cmp()

int MWAWPictDUnknown::cmp | ( | MWAWPict const & | a | ) | const

inline final virtual

a virtual function used to obtain a strict order, must be redefined in the subs class

Reimplemented from MWAWPictData.

## getSubType()

SubType MWAWPictDUnknown::getSubType | ( |  | ) | const

inline final virtual

returns the picture subtype

Implements MWAWPictData.

## valid()

bool MWAWPictDUnknown::valid | ( |  | ) | const

inline final virtual

returns true if the picture is valid

Reimplemented from MWAWPictData.

## Friends And Related Symbol Documentation

## MWAWPictData

friend class MWAWPictData

friend

Referenced by checkOrGet(), and MWAWPictData.

The documentation for this class was generated from the following files:

- MWAWPictData.hxx
- MWAWPictData.cxx